%define upstream_name    Crypt-Argon2
%define upstream_version 0.030

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Perl interface to the Argon2 key derivation functions
License:    ASL 2.0
Group:      Development/Perl
Url:        https://metacpan.org/release/Crypt-Argon2
Source0:    https://cpan.metacpan.org/modules/by-module/Crypt/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Build)
BuildRequires: perl(Module::Build)
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl-devel

%description
This module provides a simple implementation of the Argon2 algorithm.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%{__perl} -pne 's%#!perl%#! /usr/bin/perl%' -i script/argon2-calibrate

%build
%{__perl} Build.PL --installdirs=vendor
%{__perl} Build

%check
%{__perl} Build test

%install
%{__perl} Build install --destdir=$RPM_BUILD_ROOT --create_packlist=0
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;
%{_fixperms} %{buildroot}%perl_vendorarch

%files
%doc Changes META.json META.yml MYMETA.json README
%license LICENSE
%{_mandir}/man3/*
%perl_vendorarch/Crypt
%perl_vendorarch/auto/Crypt
%{_bindir}/argon2-calibrate
%{_mandir}/man1/argon2-calibrate.1*


%changelog
* Fri May 02 2025 tv <tv> 0.30.0-1.mga10
+ Revision: 2180488
- update to 0.030

* Wed Jan 29 2025 daviddavid <daviddavid> 0.29.0-1.mga10
+ Revision: 2143281
- new version: 0.029

* Mon Jan 20 2025 wally <wally> 0.22.0-3.mga10
+ Revision: 2140062
- rebuild with perl-5.40.0-3.mga10

* Sun Nov 24 2024 rapsys <rapsys> 0.22.0-2.mga10
+ Revision: 2118728
- Use fedora summary

* Sun Nov 24 2024 rapsys <rapsys> 0.22.0-1.mga10
+ Revision: 2118727
- Import perl-Crypt-Argon2 version 0.022
- Created package structure for perl-Crypt-Argon2.

